---
editUrl: false
next: false
prev: false
title: "Logging"
---

## Since

2.0.0

## Type parameters

• **T** = `unknown`

## Methods

### debug()

> **debug**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v4/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/interfaces.ts:52](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/interfaces.ts#L52)

***

### error()

> **error**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v4/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/interfaces.ts:49](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/interfaces.ts#L49)

***

### info()

> **info**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v4/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/interfaces.ts:51](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/interfaces.ts#L51)

***

### warning()

> **warning**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v4/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/interfaces.ts:50](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/interfaces.ts#L50)
